import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

// Data set URI
const csvUrl = 'https://gist.githubusercontent.com/saisreearibandi/622f29a36bc20a7cfd3b1b1464307ea0/raw/c1ec753ef38ac7473182832c169c729225ebb5fb/Penguins.csv';
// Format the Data from the URI response
const parseRow = (d) => {
        d.bill_length_mm = +d.bill_length_mm;                           d.bill_depth_mm = +d.bill_depth_mm
      	d.flipper_length_mm = +d.flipper_length_mm;  
  
const width = window.innerWidth;
const height = window.innerHeight;d.body_mass_g = +d.body_mass_g;
        return d;
      	};


// Appends a SVG in the body of HTML
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  
  // Creating a new Scatter Plot object
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_width)
    .yValue((d) => d.sepal_length)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  // Plotting the Scatter Plot axes based on the given parameters
  svg.call(plot);

  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  
  // Plotting the data on the Scatter Plot
  let i = 0;
 	setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 2000);
};
main();



